EDIT - feature request #10097

Rename originalNameString to originallnfo
07/22/2022 03:21 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal

Description

... as we agreed on storing all kind of original (verbatim) information in this field, not only taxon names.

Associated revisions

Revision b2d2bb15 - 07/22/2022 11:38 PM - Andreas Miiller

ref #10097 rename originalNameString to originallnfo in vaadin

Revision 9¢021029 - 07/22/2022 11:50 PM - Andreas Miiller

ref #10097 change originalNameString to originallnfo in cdmlib

Revision c97ec7dd - 07/22/2022 11:51 PM - Andreas Muller

ref #10097 adapt dataset.dtd (was incorrect before model change already)

Revision 9864b061 - 07/22/2022 11:51 PM - Andreas Miiller

ref #10097 add columnNameChanger for originalNameString to update script

Revision 50e674c4 - 07/23/2022 12:09 AM - Andreas Miiller
ref #10097 adapt originalNameString in taxeditor

Revision df9935a6 - 07/23/2022 12:36 AM - Andreas Miiller
ref #10097 adapt originalNameString in taxeditor test

Revision fd4bf415 - 07/25/2022 12:40 PM - Andreas Miiller

ref #10097 changes originalNameString->originallnfo in dataportal

History

#1 - 07/22/2022 03:34 PM - Andreas Miiller

Original Doumentation from DescriptionElementSource:

The use of "originalNameString" within a DescriptionElementSource has to be discussed.
In general this string is to be used for different representations of the sourced object.

In this classes

may make sense if the taxon name is not available in the CDM and the user for some reason does not want

*
*
* context it could also stand for the string representation of the taxon name used in the source.
*
*

to create a new ful {@link eu.etaxonomy.cdm.model.name.TaxonName taxon name}.

#2 - 07/22/2022 07:39 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 70

Resolved in cdmlib and probably also in dataportal and vaadin, but still needs adaptation in taxEditor

#3 - 07/23/2022 12:37 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100
